## org.apache.myfaces.config.impl.digester.elements
Class NavigationRule

    java.lang.Object
      org.apache.myfaces.config.impl.digester.elements.NavigationRule

All Implemented Interfaces:
  NavigationRule

public class NavigationRule
extends java.lang.Object
implements NavigationRule

Author:
  Oliver Rossmueller

Constructor Summary
`NavigationRule()`

Method Summary
`void` `addNavigationCase(NavigationCase value)`
`java.lang.String` `getFromViewId()`
`java.util.Collection` `getNavigationCases()`
`void` `setFromViewId(java.lang.String fromViewId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NavigationRule

    public NavigationRule()

Method Detail

### getFromViewId

    public java.lang.String getFromViewId()

  Specified by:
    `getFromViewId` in interface `NavigationRule`

### setFromViewId

    public void setFromViewId(java.lang.String fromViewId)

### addNavigationCase

    public void addNavigationCase(NavigationCase value)

### getNavigationCases

    public java.util.Collection getNavigationCases()

  Specified by:
    `getNavigationCases` in interface `NavigationRule`
  Returns:
    a Collection of `NavigationCase`s